<?php
namespace Claromentis\Search\ItemType;

$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] ?: array()) + array("perm" . "s" => base64_decode("cGV" . "ybX" . "M="));
use Claromentis\Core\Security\SecurityContext;
use Claromentis\Search\Indexing\Client\ClientInterface;
use Claromentis\Search\GlobalSearchItemInterface;






class Folder implements GlobalSearchItemInterface
{
    
    
    
    
    public function GetIndexingObject()
    {
        return new Indexing\Folder();
    }
    public function GetPermissionsSearchFilter(SecurityContext $context)
    {
        $_6905a4a1c788ec5cb2cfea8ca6e4043e = new \Claromentis\Search\Permissions();
        $_622dbe3a724189e8a19867ecf48691a9 = $_6905a4a1c788ec5cb2cfea8ca6e4043e->GetSearchFilter($context, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["perm" . "s"]);
        return $_622dbe3a724189e8a19867ecf48691a9;
    }
    
    
    
    
    public function GetView()
    {
        return new View\Folder();
    }
}